Page MenuHomeVyOS Platform

require_ht and require_vht configuration
Closed, WontfixPublicBUG

Description

require_ht and require_vht option are only set if ht_capabilities and vht_capabilities are configured respectively.
wireless-hostapd.pl script has bug, which only checks for require_ht and require_vht if ht or vht capabilities are set respectively.

I believe they are not dependent on each other in the hostapd configuration.

Details

Difficulty level
Easy (less than an hour)
Version
1.2 Rolling 20180703
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

nirmal created this task.Jan 15 2019, 5:37 PM
syncer triaged this task as Normal priority.Jan 20 2019, 11:54 AM
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
syncer moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.
pasik added a subscriber: pasik.Jan 21 2019, 9:43 PM
c-po added a subscriber: c-po.Mon, May 4, 2:55 PM

This has been completely rewritte in Python/XML. Please reopen if this is still a problem - and if so what do you think should be the "real" rendered configuration.

c-po closed this task as Wontfix.Mon, May 4, 2:55 PM
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
c-po moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.Fri, May 22, 10:37 AM